Bug 313298 - Krita hatching brush ignores thickness unless "Antialiased lines" is on
Summary: Krita hatching brush ignores thickness unless "Antialiased lines" is on
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Brush engines (show other bugs)
Version: 2.5.3
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL: http://i50.tinypic.com/2qitpxi.png
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-15 14:01 UTC by valerievk
Modified: 2013-10-09 07:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Thickness is now always considered, irrespective of the status of Antialiased option (1.50 KB, patch)
2013-10-08 18:03 UTC, Salil Kapur
Details
Thickness works without antialiasing too. (1.53 KB, patch)
2013-10-09 07:11 UTC, Salil Kapur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description valerievk 2013-01-15 14:01:29 UTC
With the hatching brush, changing the "Thickness" setting in the Hatching Options tab doesn't change the line thickness unless "Antialiased lines" is checked in the Hatching Preferences tab. Tested with Krita 2.5.3 on Ubuntu 12.10 and with Krita 2.6 alpha on Windows XP.

Reproducible: Always

Steps to Reproduce:
1. Switch to Hatching brush. Increase Separation to 20 for more visibility.
2. Increase Thickness to 5 for example.
3. Draw.
Actual Results:  
The line thickness remains 1.

Expected Results:  
The line thickness should be 5, or whatever value is set.

Checking the "Antialiased lines" option in the Hatching Preferences tab causes the line thickness to be rendered as expected. I'm drawing with a mouse, by the way. See image for more.
Comment 1 Halla Rempt 2013-03-31 10:25:35 UTC
Ack, I can confirm the issue.
Comment 2 Salil Kapur 2013-10-08 18:03:21 UTC
Created attachment 82723 [details]
Thickness is now always considered, irrespective of the status of Antialiased option
Comment 3 Salil Kapur 2013-10-09 07:11:55 UTC
Created attachment 82740 [details]
Thickness works without antialiasing too.
Comment 4 Halla Rempt 2013-10-09 07:39:16 UTC
Git commit c56be8c921f720aa57c5ae1a23cf26116a768149 by Boudewijn Rempt.
Committed on 09/10/2013 at 07:38.
Pushed by rempt into branch 'master'.

Apply thickness parameter to hatching brush

Patch by Salil Kapur
CCMAIL: salilkapur93@gmail.com

M  +2    -2    krita/plugins/paintops/hatching/hatching_brush.cpp

http://commits.kde.org/calligra/c56be8c921f720aa57c5ae1a23cf26116a768149